% This file simulates the Batch Reactor Example (3.2.1) from Haseltine
% & Rawlings (2005)
% EKF is implemented to this example and it is shown that it
% fails when a poor prior is used.
data = struct();

% States: x = [Ca Cb Cc]'
% Total pressure is measured (C = RT*[1 1 1])

% Simulate.
fprintf('Simulating without clipping.\n');
data.noclip = doekf(120, false());
fprintf('Simulating with clipping.\n');
data.yesclip = doekf(600, true());

