% A 2-variable steady-state problem.
lams = {[0.5, 0.5], [0.2, 0.8], [0.8, 0.2], [0.5, 0.5]};
iters = [10, 25, 25, 25];
names = {'equal', 'first', 'second', 'swapped'};
swaps = [false(), false(), false(), true()];


% Simulate with different values of lambda.
data = struct();
for i = 1:length(lams)
    data.(names{i}) = noncoopvscoop(lams{i}, iters(i), names{i}, swaps(i));
end

