% Example noisy dataset.
a = 1;
c = 1;
r = 1;
q = 1;

x0 = 1;
q0 = 1;

nsim = 201;
x = zeros(1, nsim);
y = zeros(1, nsim);
t = 0:(nsim - 1);
randn('state', 0)
x(1) = x0 + sqrt(q0)*randn();
for i = 1:nsim
    y(i) = c*x(i) + sqrt(r)*randn();
    x(i + 1) = a*x(i) + sqrt(q)*randn();
end

plot(t, y, '-o');

gnuplotsave('noisy.dat', struct('output', [t', y']));
