% Exercise for ch2; Continuation of Example 2.5: Linear quadratic MPC
% jbr, March 1, 2009

H = [3, 1; 1, 2];
hr1 = H(1,:);
hr2 = H(2,:);

Hinv = (1/5)*[2 -1, -1 3];
n1 = 1/sqrt(5)*[2; -1];
% n2 = 1/sqrt(10)*[-1; 3];

[V,lam]=eig(H);
v1 = V(:,1);
v2 = V(:,2);

box = [-1, -1; 1, -1; 1, 1; -1, 1; -1, -1];

umin = -4.75;
av = -[3; 1];
line = [0*av, -umin/3*av]';

xc1 = 5/3;

xc2 = 3;
ac2 = xc2/5*av;
bc2 = 5/2*(3*xc2/5-1)^2;
[xec2,yec2] = ellipse(H, bc2,100,ac2);

x3 = 4.5;
a3 = x3/5*av;
b3 = ([-1;-1]-a3)'*H*([-1;-1]-a3);
[xe3,ye3] = ellipse(H, b3,100,a3);

x4 = 2.25;
a4 = x4/5*av;
b4 = 5/2*(3*x4/5-1)^2;
[xe4,ye4] = ellipse(H, b4,100,a4);
u0 = [-1; -(x4-1)/2];


figure();
plot(box(:,1),box(:,2),0, 0, 'o', -1, -1/3, 'o', line(:,1),line(:,2), ...
     ac2(1),ac2(2),'x', xec2, yec2, ...
     a3(1), a3(2), 'x', xe3, ye3, -1, -1, 'o', ...
     a4(1), a4(2), 'x', xe4, ye4, u0(1), u0(2), 'o')

axis([umin, 1.5, -3.5, 1.5])

table1 = [xec2, yec2, xe3, ye3, xe4, ye4];
table2 = [0, 0, -1, -1/3, ac2', a3', a4', [-1, -1], u0'];

save constlq.dat table1 table2 box line